<app-header [isLoggedIn]="isLoggedIn"></app-header>
<app-breadcrumps *ngIf="isLoggedIn"></app-breadcrumps>
<div class="courses-section-container" *ngIf="isLoggedIn">
  <app-section></app-section>
  <app-course-card [courses]="courses | appOrderByPipe" *ngIf="courses.length != 0; else emptyContainer"></app-course-card>
  <ng-template #emptyContainer >
    <div class="empty-container">
      No data. Feel free to add new course
    </div>
  </ng-template>
  <app-load-more></app-load-more>
</div>
<app-login-page *ngIf="!isLoggedIn" [isLoggedIn]="isLoggedIn" (loginStatusChangeEvent)="changeLoginStatus($event)"></app-login-page>
<app-footer></app-footer>
